Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202421 - Review Request: jetty-alpn-api - Jetty ALPN API
Summary: Review Request: jetty-alpn-api - Jetty ALPN API
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1201075
TreeView+ depends on / blocked
 
Reported: 2015-03-16 15:07 UTC by Michael Simacek
Modified: 2015-03-23 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 16:46:35 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Simacek 2015-03-16 15:07:46 UTC
Spec URL: http://msimacek.fedorapeople.org/review/jetty-alpn-api/jetty-alpn-api.spec
SRPM URL: http://msimacek.fedorapeople.org/review/jetty-alpn-api/jetty-alpn-api-1.1.0-1.fc21.src.rpm
Description: Jetty API for Application-Layer Protocol Negotiation.
Fedora Account System Username: msimacek

Comment 1 gil cattaneo 2015-03-23 06:20:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE-2.0.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
IGNORE


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/gil/1202421-jetty-alpn-api/review-jetty-alpn-
     api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses, /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses, /usr/share
     /maven-metadata
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[?]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jetty-alpn-
     api-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jetty-alpn-api-1.1.0-1.fc23.noarch.rpm
          jetty-alpn-api-javadoc-1.1.0-1.fc23.noarch.rpm
          jetty-alpn-api-1.1.0-1.fc23.src.rpm
jetty-alpn-api.noarch: W: no-version-in-last-changelog
jetty-alpn-api.noarch: W: no-documentation
jetty-alpn-api-javadoc.noarch: W: no-version-in-last-changelog
jetty-alpn-api.src: W: no-version-in-last-changelog
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
jetty-alpn-api (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

jetty-alpn-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jetty-alpn-api:
    jetty-alpn-api
    mvn(org.eclipse.jetty.alpn:alpn-api)
    mvn(org.eclipse.jetty.alpn:alpn-api:pom:)
    osgi(org.eclipse.jetty.alpn.api)

jetty-alpn-api-javadoc:
    jetty-alpn-api-javadoc



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
http://git.eclipse.org/c/jetty/org.eclipse.jetty.alpn.git/snapshot/alpn-api-1.1.0.v20141014.tar.bz2 :
  CHECKSUM(SHA256) this package     : 04911724c0ccfc1820e619f1b548b2f67a22fcccae19703e02b0a5de3dec7ea7
  CHECKSUM(SHA256) upstream package : 04911724c0ccfc1820e619f1b548b2f67a22fcccae19703e02b0a5de3dec7ea7
http://www.eclipse.org/legal/epl-v10.html :
  CHECKSUM(SHA256) this package     : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2
  CHECKSUM(SHA256) upstream package : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -vpn jetty-alpn-api -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 gil cattaneo 2015-03-23 06:21:47 UTC
NON blocking issue
jetty-alpn-api-javadoc.noarch: W: no-version-in-last-changelog

[!]: If the source package does not include license text(s) as a separate file

[!]: Package does not include license text files separate from upstream.

Comment 3 gil cattaneo 2015-03-23 06:22:45 UTC
Approved

Comment 4 Michael Simacek 2015-03-23 08:18:38 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: jetty-alpn-api
Short Description: Jetty ALPN API
Upstream URL: http://www.eclipse.org/jetty
Owners: msimacek mizdebsk msrb
Branches: f22
InitialCC: java-sig

Comment 5 Gwyn Ciesla 2015-03-23 13:33:20 UTC
Git done (by process-git-requests).

Comment 6 Michael Simacek 2015-03-23 16:46:35 UTC
jetty-alpn-api-1.1.0-1 is now available in rawhide


Note You need to log in before you can comment on or make changes to this bug.